package com.mvc.entity;

import java.util.Date;

public class CertifAcc {
    private Integer id;

    private String certifCode;

    private String deviceSn;

    private String qualityGrade;

    private Date manufDate;

    private String specifMode;

    private String execStd;

    private Date nspectDate;

    private String inspectMan;

    private String validityYear;

    private String certifImg;

    private String invalidFlag;

    private String invalidMan;

    private String invalidBecause;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCertifCode() {
        return certifCode;
    }

    public void setCertifCode(String certifCode) {
        this.certifCode = certifCode == null ? null : certifCode.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getQualityGrade() {
        return qualityGrade;
    }

    public void setQualityGrade(String qualityGrade) {
        this.qualityGrade = qualityGrade == null ? null : qualityGrade.trim();
    }

    public Date getManufDate() {
        return manufDate;
    }

    public void setManufDate(Date manufDate) {
        this.manufDate = manufDate;
    }

    public String getSpecifMode() {
        return specifMode;
    }

    public void setSpecifMode(String specifMode) {
        this.specifMode = specifMode == null ? null : specifMode.trim();
    }

    public String getExecStd() {
        return execStd;
    }

    public void setExecStd(String execStd) {
        this.execStd = execStd == null ? null : execStd.trim();
    }

    public Date getNspectDate() {
        return nspectDate;
    }

    public void setNspectDate(Date nspectDate) {
        this.nspectDate = nspectDate;
    }

    public String getInspectMan() {
        return inspectMan;
    }

    public void setInspectMan(String inspectMan) {
        this.inspectMan = inspectMan == null ? null : inspectMan.trim();
    }

    public String getValidityYear() {
        return validityYear;
    }

    public void setValidityYear(String validityYear) {
        this.validityYear = validityYear == null ? null : validityYear.trim();
    }

    public String getCertifImg() {
        return certifImg;
    }

    public void setCertifImg(String certifImg) {
        this.certifImg = certifImg == null ? null : certifImg.trim();
    }

    public String getInvalidFlag() {
        return invalidFlag;
    }

    public void setInvalidFlag(String invalidFlag) {
        this.invalidFlag = invalidFlag == null ? null : invalidFlag.trim();
    }

    public String getInvalidMan() {
        return invalidMan;
    }

    public void setInvalidMan(String invalidMan) {
        this.invalidMan = invalidMan == null ? null : invalidMan.trim();
    }

    public String getInvalidBecause() {
        return invalidBecause;
    }

    public void setInvalidBecause(String invalidBecause) {
        this.invalidBecause = invalidBecause == null ? null : invalidBecause.trim();
    }
}